import { Injectable } from '@angular/core';
import {environment} from "../../../environments/environment";
import {ObjectData} from "../../utils/objectData.service";
import {HttpClient} from "@angular/common/http";

@Injectable({
  providedIn: 'root'
})
export class AuditService {

  constructor(private http: HttpClient) { }

  /**
   * 获取商品规格列表
   * @param params
   * @param callBack
   */
  public auditMsg(params: object, callBack:any) {
    this.http.post(environment.baseUrl + 'audit/auditMsg', params).subscribe(data => {
      callBack(data);
    });
  }

  /**
   * 查询商品审核列表
   * @param params
   * @param callBack
   */
  public getListGoodsAudit(params: object, callBack:any) {
    this.http.get(environment.baseUrl + 'audit/getListGoodsAudit?' + ObjectData.objectByString(params)).subscribe(data => {
      callBack(data);
    });
  }

  /**
   * 查询商品审核详情
   * @param params
   * @param callBack
   */
  public auditDetail(params: object, callBack:any) {
    this.http.get(environment.baseUrl + 'audit/auditDetail?' + ObjectData.objectByString(params)).subscribe(data => {
      callBack(data);
    });
  }
}
